#ifndef _LINE_H_
#define _LINE_H_

#include "Vertex.h"

/// A class representing a line in 3D space.
class Line
{
	public:
		
		/// Create a default line.
		inline Line()
		{
		}
		
		
		/// Create a line with the specified vertices and a default material.
		inline Line( const Vertex& v1, const Vertex& v2)
		{
			v[0] = v1;
			v[1] = v2;
		}
		
		
	/*	/// Create a line with the specified vertices and material.
		inline Line( const Vertex& v1, const Vertex& v2, const Vertex& v3,
						const Material& newMaterial )
			:	material( newMaterial )
		{
			v[0] = v1;
			v[1] = v2;
			v[2] = v3;
		}*/
		
		
		/// The vertices of the line.
		Vertex v[2];
		
		
		/// The material of the line.
		//Material material;
		
		
};

#endif //_LINE_H_