#ifndef _TRIANGLE_H_
#define _TRIANGLE_H_

#include "Vertex.h"

/// A class representing a triangle in 3D space.
class Triangle
{
	public:
		
		/// Create a default triangle.
		inline Triangle()
		{
		}
		
		
		/// Create a triangle with the specified vertices and a default material.
		inline Triangle( const Vertex& v1, const Vertex& v2, const Vertex& v3 )
		{
			v[0] = v1;
			v[1] = v2;
			v[2] = v3;
		}
		
		
	/*	/// Create a triangle with the specified vertices and material.
		inline Triangle( const Vertex& v1, const Vertex& v2, const Vertex& v3,
						const Material& newMaterial )
			:	material( newMaterial )
		{
			v[0] = v1;
			v[1] = v2;
			v[2] = v3;
		}*/
		
		
		/// The vertices of the triangle.
		Vertex v[3];
		
		
		/// The material of the triangle.
		//Material material;
		
		
};

#endif //_TRIANGLE_H_